<script lang="ts">
  import { fly } from "svelte/transition";
  import { onMount } from "svelte";

  let resolve: any;
  let active = true;

  export const promise = new Promise((fulfil) => (resolve = fulfil));

  onMount(() => {});
</script>

{#if active}
  <div transition:fly class="h-5/6 p-2 sticky shadow-md inset-0 z-50">
    <div
      class="w-full bg-indigo-500 h-12 top-0 flex justify-between items-center rounded-t"
    >
      <p class="w-10 h-10" />
      <p class="text-white">My Templates</p>
      <button
        on:click={() => {
          active = false;
        }}
        class="w-10 h-10 p-2 text-red-300 hover:text-red-500">X</button
      >
    </div>
    <div class="bg-gray-200 w-full h-full overflow-y-auto overflow-x-hidden ">
      <div class="w-full" id="block-alert-list"></div>
    </div>
  </div>
{/if}
